package com.fjs.scenic.cyt.request;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GetProductStockByOTARequestBody", propOrder={"method", "serviceProvider", "stime", "productId"})
public class GetProductStockByOTARequestBody extends RequestBody
{

  @XmlElement(required=true)
  protected String method;

  @XmlElement(required=true)
  protected String serviceProvider;

  @XmlElement(required=true)
  protected String stime;

  @XmlElement(required=true)
  protected String productId;

  public GetProductStockByOTARequestBody()
  {
    this.method = "";
    this.serviceProvider = "";
    this.stime = "";
    this.productId = "";
  }

  public String getMethod()
  {
    return this.method;
  }

  public void setMethod(String value)
  {
    this.method = value;
  }

	public String getServiceProvider() {
		return serviceProvider;
	}
	
	public void setServiceProvider(String serviceProvider) {
		this.serviceProvider = serviceProvider;
	}
	
	
	public String getStime() {
		return stime;
	}

	public void setStime(String stime) {
		this.stime = stime;
	}

	public String getProductId() {
		return productId;
	}
	
	public void setProductId(String productId) {
		this.productId = productId;
	}

 
}